# -*- mode: makefile; -*-
# -----------------------------------------------------------------------------
#  $RCSfile: Security.mak.in,v $
# 
#  See Copyright for the status of this software.
# 
#  The OpenSOAP Project
#  http://opensoap.jp/
# -----------------------------------------------------------------------------
#
#
#

PROGRAMS = genrsakey secEnv

prefix = /usr/local/opensoap
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
sysconfdir = ${prefix}/etc
localstatedir = ${prefix}/var
includedir = ${prefix}/include
libdir = ${exec_prefix}/lib

#
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}

CC = gcc

OPENSOAP_PREFIX=/usr/local/opensoap
OPENSOAP_INCLUDE=${prefix}/include
OPENSOAP_LIB=${exec_prefix}/lib

# DEBUG_CFLAGS = -g
CFLAGS = ${DEBUG_CFLAGS} -Wall -I${OPENSOAP_INCLUDE}
COMMON_LDFLAGS=-L${OPENSOAP_LIB} -Wl,-rpath -Wl,${OPENSOAP_LIB}
#COMMON_LDFLAGS=-L${OPENSOAP_LIB} -R${OPENSOAP_LIB}
SECURITY_LDFLAGS=${COMMON_LDFLAGS} -lOpenSOAPClient -lOpenSOAPSecurity

SOURCES= genkey.c envelopeTst.c fio.c
OBJS=${SOURCES:.c=.o}

all: ${PROGRAMS}

genrsakey: genkey.o
	${CC}  -o $@ $^ ${SECURITY_LDFLAGS}

secEnv: envelopeTst.o fio.o
	${CC}  -o $@ $^ ${SECURITY_LDFLAGS}

clean: 
	rm -f ${OBJS} ${PROGRAMS}

## Install Programs

install: ${PROGRAMS}
	@if test -d ${DESTDIR}${bindir}; then \
		echo "${DESTDIR}${bindir} exist."; \
	else \
		echo "${DESTDIR}${bindir} does not exist."; \
		echo "mkdir -p ${DESTDIR}${bindir}."; \
		mkdir -p ${DESTDIR}${bindir}; \
	fi
	@for f in $^ ; do \
		echo "$$f install to ${DESTDIR}${bindir}."; \
		${INSTALL_PROGRAM} \
			$$f ${DESTDIR}${bindir}; \
	done

install-samples: install
